=== debian/changelog ===
traverso (0.49.1-3) unstable; urgency=low

  * Drop ALSA support on kfreebsd,hurd architectures; patch provided by
    Pino Toscano.
  * Drop flags already set by debhelper.

 -- Alessio Treglia <alessio@debian.org>  Sat, 19 Jun 2010 19:35:57 +0200

traverso (0.49.1-2) unstable; urgency=low

  * Add patch to fix issues with Qt 4.6.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Jun 2010 18:20:09 +0200

traverso (0.49.1-1) unstable; urgency=low

  * New upstream release (Closes: #521687).

 -- Alessio Treglia <alessio@debian.org>  Sun, 06 Jun 2010 20:07:05 +0200

traverso (0.49.0~rc1-2) unstable; urgency=low

  * Move maintainance under the umbrella of pkg-multimedia team.
  * debian/control:
    - Add Vcs-* fields.
    - Wrap long lines.
    - Bump Standards.
  * Add watch file.
  * Switch to 3.0 (quilt) format.
  * Switch to debhelper 7:
    - debian/{control,rules}:
      + Use cmake helper.
  * Changes of the latest NMU is a quilt patch now.
  * Add patch to suppress CMake warnings (Closes: #534033).
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sat, 05 Jun 2010 20:04:21 +0200

traverso (0.49.0~rc1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing #include for gcc 4.4, patch by Martin Michlmayr.
    (Closes: #505390)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 20 Jan 2010 14:12:17 +0100

traverso (0.49.0~rc1-1) unstable; urgency=low

  * New upstream version.
  * Update build systems to cmake in debian/rules.
  * Bump standards version.
  * Bump debhelper version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 02 Mar 2009 09:37:09 +0100

traverso (0.42.0-3) unstable; urgency=low

  * Disable SSE2 in src/base.pri. (Closes: #467096)
  * Added libqt4-opengl-dev to build-depends. (Closes: #479894)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 04 Jun 2008 07:42:32 +0200

traverso (0.42.0-2) unstable; urgency=low

  * Disable optimized build. (Closes: #467096)
  * Applied patch to fix FTBFS with gcc 4.3. (Closes: #456062)
    Thanks Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>.
  * Calling qmake-qt4 in debian/rules. (Closes: #456419)
  * Updated my email address.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Sat, 05 Apr 2008 14:27:02 +0200

traverso (0.42.0-1) unstable; urgency=low

  * New upstream version.
    + Updated build-depends.
  * debian/control: Bump standards version.
  * debian/rules: Call dh_desktop.
  * Added Debian Multimedia to Uploaders.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 10 Dec 2007 16:49:45 +0100

traverso (0.41.0-1) unstable; urgency=low

  * Initial release. (Closes: #431868)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 05 Nov 2007 21:29:49 +0100
