=== debian/control ===
Source: traverso
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 7.3.7~),
 libqt4-dev,
 libsamplerate0-dev,
 librdf0-dev,
 libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
 libjack-dev,
 libsndfile1-dev,
 libfftw3-dev,
 libmad0-dev,
 libogg-dev,
 libwavpack-dev,
 libvorbis-dev,
 libflac++-dev,
 libqt4-opengl-dev,
 cmake
Standards-Version: 3.8.4
Homepage: http://traverso-daw.org/
Vcs-Git: git://git.debian.org/pkg-multimedia/traverso.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/traverso.git

Package: traverso
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Multitrack audio recorder and editor
 This is a free, cross platform multitrack audio recording and editing 
 suite, with an innovative and easy to master user interface. It is suited
 for both the professional and home user, who needs a robust and solid DAW.
