## traverso 0.49.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 PROJECT(traverso)
 SET (VERSION_MAJOR "0")
 SET (VERSION_MINOR "49")
-SET (VERSION_PATCH "1")
+SET (VERSION_PATCH "2")
 SET (VERSION_SUFFIX "")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
