=== src/commands/plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY(TraversoCommands)
