=== debian/changelog ===
traverso (0.49.2-6) unstable; urgency=low

  * Team upload.
  * Remove myself from the uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Oct 2013 13:33:46 +0100

traverso (0.49.2-5) unstable; urgency=low

  * Avoid FTBFS with GCC 4.7 by fixing missing <unistd.h> includes.
    Thanks to Matthias Klose for the report, Cyril Brulebois for
    the patch. (Closes: #667398)

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 May 2012 17:27:27 -0700

traverso (0.49.2-4) unstable; urgency=low

  * Enable MP3 encoding support.

 -- Alessio Treglia <alessio@debian.org>  Sat, 30 Jul 2011 12:03:43 +0200

traverso (0.49.2-3) unstable; urgency=low

  * Force CMake to find raptor2's headers (Closes: #618142).
  * Enable parallel build, use DH8-compat syntax "dh $@ --with foo".
  * debian/gbp.conf: Add sign-tags
  * debian/control:
    - Remove trailing whitespace.
    - Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 May 2011 16:10:58 +0200

traverso (0.49.2-2) unstable; urgency=low

  * Build against the version of SLV2 provided by the system:
    - Build-depend on libslv2-dev.
    - Configure with -DUSE_SYSTEM_SLV2_LIBRARY=ON.
    - SLV's pkgconfig file is slv.pc (and not libslv2.pc).
    - Force to include /usr/include/rasqal to prevent FTBFS.  
  * Install application icons (Closes: #598795).
  * debian/docs:
    - Install resources/help.text as quick reference, remove
      README file which is unnecessary at all.
  * Append -ldl to linker's flags to prevent FTBFS with binutils-gold.

 -- Alessio Treglia <alessio@debian.org>  Sat, 04 Dec 2010 10:31:25 +0100

traverso (0.49.2-1) unstable; urgency=low

  * Imported Upstream version 0.49.2:
    - Make Traverso work with Qt version >= 4.6.2.
    - Correctly apply Fade In and Out curves.
    - Bump compatibility with cmake up to 2.6.4.
    - Add Spanish translation.
  * Add .gitignore file
  * Add git-buildpackage configuration file.
  * Dropped patches adopted by upstream.
  * Update Standards to 3.9.1.

 -- Alessio Treglia <alessio@debian.org>  Mon, 16 Aug 2010 15:24:16 +0200
