=== debian/control ===
Source: traverso
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends:
 cmake,
 debhelper (>= 7.3.7~),
 libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
 libfftw3-dev,
 libflac++-dev,
 libjack-dev,
 libmad0-dev,
 libmp3lame-dev,
 libogg-dev,
 libqt4-dev,
 libqt4-opengl-dev,
 librdf0-dev,
 libsamplerate0-dev,
 libslv2-dev,
 libsndfile1-dev,
 libvorbis-dev,
 libwavpack-dev
Standards-Version: 3.9.2
Homepage: http://traverso-daw.org/
Vcs-Git: git://git.debian.org/pkg-multimedia/traverso.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/traverso.git

Package: traverso
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Multitrack audio recorder and editor
 This is a free, cross platform multitrack audio recording and editing
 suite, with an innovative and easy to master user interface. It is suited
 for both the professional and home user, who needs a robust and solid DAW.
