## traverso 0.49.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #CMAKE SETUP
 #Require 2.4.2 for Qt finding
 #Require 2.4.3 for moc change detection
-CMAKE_MINIMUM_REQUIRED(VERSION 2.4.3 FATAL_ERROR)
+#Require 2.4.6 for FindPkgConfig.cmake
+CMAKE_MINIMUM_REQUIRED(VERSION 2.4.6 FATAL_ERROR)
 
 SET(CMAKE_COLOR_MAKEFILE ON)
 SET(CMAKE_VERBOSE_MAKEFILE ON)
@@ -19,7 +20,7 @@
 PROJECT(traverso)
 SET (VERSION_MAJOR "0")
 SET (VERSION_MINOR "49")
-SET (VERSION_PATCH "2")
+SET (VERSION_PATCH "4")
 SET (VERSION_SUFFIX "")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
 
@@ -31,7 +32,6 @@
 OPTION(WANT_PULSEAUDIO	"Include PulseAudio support (Driver support for Linux and Windows" OFF)
 OPTION(WANT_COREAUDIO	"Include CoreAudio support (Driver support for Mac OS X" OFF)
 OPTION(WANT_LV2		"Include LV2 Plugin support" ON)
-OPTION(USE_SYSTEM_SLV2_LIBRARY "Use system installed slv2 library. If not found, the internal one is compiled and used which needs the rdf development headers" OFF)
 OPTION(WANT_MP3_DECODE	"Include mp3 decoding support, for playing mp3 files" ON)
 OPTION(WANT_MP3_ENCODE	"Include mp3 encoding support, for creating mp3 files" OFF)
 OPTION(WANT_PCH     	"Use precompiled headers" OFF)
@@ -98,13 +98,11 @@
 SET(MINIMAL_ALSA_VERSION 1.0.0)
 SET(MINIMAL_JACK_VERSION 0.100)
 SET(MINIMAL_PORTAUDIO_VERSION 19)
-SET(MINIMAL_SLV2_VERSION 0.6.1)
 SET(MINIMAL_WAVPACK_VERSION 4.40.0)
 SET(MINIMAL_OGG_VORBIS_VERSION 1.1.2)
 SET(MINIMAL_MAD_VERSION 0.15.0)
 SET(MINIMAL_FLAC_VERSION 1.1.2)
 SET(MINIMAL_FFTW_VERSION 3.0.0)
-SET(MINIMAL_REDLAND_VERSION 1.0.2)
 SET(MINIMAL_PULSAUDIO_VERSION 0.9)
 SET(HAVE_COREAUDIO FALSE)
 
@@ -192,41 +190,26 @@
 
 
 IF(WANT_LV2)
-	IF(USE_SYSTEM_SLV2_LIBRARY)
-# 		CHECK_INCLUDE_FILE("slv2/slv2.h" HAVE_SLV2_H)
-# 		IF(NOT HAVE_SLV2_H)
-# 			MESSAGE(FATAL_ERROR "lv2 support requested, but slv2 development headers could not be found!\nPlease install the slv2 development package (Usually called libslv2-dev), remove CMakeCache.txt and run cmake again")
-# 		ENDIF(NOT HAVE_SLV2_H)
-		
-		PKG_CHECK_MODULES(SLV2  libslv2>=${MINIMAL_SLV2_VERSION})
-		IF (SLV2_FOUND)
-			MESSAGE("-- slv2 Library Found OK")
-			SET(HAVE_SYSTEM_SLV2 TRUE)
-		ENDIF(SLV2_FOUND)
-	ELSE(USE_SYSTEM_SLV2_LIBRARY)
-		PKG_CHECK_MODULES(REDLAND  redland>=${MINIMAL_REDLAND_VERSION})
-		IF (REDLAND_FOUND)
-			MESSAGE("-- REDLAND Library Found OK")
-			INCLUDE_DIRECTORIES(/usr/include/redland /usr/include/rasqal)
-		ELSE(REDLAND_FOUND)
-			MESSAGE("-- REDLAND Library not found with pkg-config, looking for headers now")
-			INCLUDE_DIRECTORIES(/usr/include/redland /usr/include/rasqal)
-			CHECK_INCLUDE_FILE("librdf.h" HAVE_LIBRDF_H)
-			IF(NOT HAVE_LIBRDF_H)
-				CHECK_INCLUDE_FILE("redland/librdf.h" HAVE_REDLAND_LIBRDF_H)
-				IF(NOT HAVE_REDLAND_LIBRDF_H)
-					MESSAGE(FATAL_ERROR "lv2 support requested using internal slv2 lib, but the needed rdf development headers could not be found!\nPlease install the rdf development package (Usually called librdf-dev), remove CMakeCache.txt and run cmake again")
-				ENDIF(NOT HAVE_REDLAND_LIBRDF_H)
-			ENDIF(NOT HAVE_LIBRDF_H)
-			MESSAGE("-- REDLAND Library Found OK")
-		ENDIF(REDLAND_FOUND)
-		SET(USE_INTERNAL_SLV2_LIB TRUE)
-	ENDIF(USE_SYSTEM_SLV2_LIBRARY)
-	
-	LIST(APPEND TRAVERSO_DEFINES -DLV2_SUPPORT) 
-	SET(HAVE_SLV2 TRUE)
+        IF(PKG_CONFIG_FOUND)
+                PKG_CHECK_MODULES(LIBLILV lilv-0>=0.4.4)
+                IF (LIBLILV_FOUND)
+                    MESSAGE("-- LILV Library Found OK")
+                    INCLUDE_DIRECTORIES(${LIBLILV_INCLUDE_DIRS})
+                    SET (LV2_SUPPORT TRUE)
+                    SET(HAVE_LILV TRUE)
+                ELSE (LIBLILV_FOUND)
+                    MESSAGE("LILV support disabled")
+                    SET (LV2_SUPPORT FALSE)
+                    SET(HAVE_LILV FALSE)
+                ENDIF (LIBLILV_FOUND)
+        ENDIF(PKG_CONFIG_FOUND)
+
+
+        LIST(APPEND TRAVERSO_DEFINES -DLV2_SUPPORT)
+        SET(SLV2OPTIONS "${HAVE_LILV}")
 ELSE(WANT_LV2)
-	SET(HAVE_SLV2 FALSE)
+        SET(HAVE_LILV FALSE)
+        SET (LV2_SUPPORT FALSE)
 ENDIF(WANT_LV2)
 
 
@@ -325,3 +308,49 @@
 
 
 #Create configure files.. config.h
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)
+
+
+#uninstall
+CONFIGURE_FILE(
+  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
+  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+  IMMEDIATE @ONLY)
+
+ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
+
+
+#Set up include dirs with all found packages
+INCLUDE_DIRECTORIES(
+${CMAKE_SOURCE_DIR}/src/common
+${QT_INCLUDE_DIR}
+${QT_QTCORE_INCLUDE_DIR}
+)
+
+
+#Set up libraries to link with all found packages
+LINK_LIBRARIES (
+${QT_QT_LIBRARY}
+)
+
+
+CHECK_FUNCTION_EXISTS(posix_memalign HAVE_POSIX_MEMALIGN)
+IF(NOT HAVE_POSIX_MEMALIGN)
+	LIST(APPEND TRAVERSO_DEFINES -DNO_POSIX_MEMALIGN)
+	MESSAGE("Did not find posix_memalign(), using malloc")
+ENDIF(NOT HAVE_POSIX_MEMALIGN)
+
+
+CHECK_FUNCTION_EXISTS(mlock HAVE_MLOCK)
+IF(HAVE_MLOCK)
+	LIST(APPEND TRAVERSO_DEFINES -DUSE_MLOCK)
+ENDIF(HAVE_MLOCK)
+
+
+
+IF(UNIX)
+	
+#BEGIN Mac OS X section
+	IF(APPLE)
+		# Detect if we want native Mac OS X support (CoreAudio)
+		# and if we can build with it.
