=== src/commands/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-ADD_SUBDIRECTORY(plugins ${TRAVERSO_BUILD_DIR})
+ADD_SUBDIRECTORY(plugins)
 
 INCLUDE_DIRECTORIES(
 ${CMAKE_SOURCE_DIR}/src/commands
