=== src/engine/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SET(TRAVERSO_ENGINE_MOC_CLASSES
 AudioBus.h
 AudioDevice.h
-Client.h
+TAudioDeviceClient.h
 )
 
 SET(TRAVERSO_ENGINE_SOURCES
@@ -13,7 +13,7 @@
 AudioChannel.cpp
 AudioDevice.cpp
 AudioDeviceThread.cpp
-Client.cpp
+TAudioDeviceClient.cpp
 Driver.cpp
 memops.cpp
 )
