=== src/plugins/CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,6 @@
 ${CMAKE_SOURCE_DIR}/src/plugins/LV2
 ${QT_QTXML_INCLUDE_DIR}
 )
-
-IF(USE_INTERNAL_SLV2_LIB)
-	INCLUDE_DIRECTORIES(
-	${CMAKE_SOURCE_DIR}/src/3rdparty/slv2
-	)
-ENDIF(USE_INTERNAL_SLV2_LIB)
 
 SET(TRAVERSO_PLUGINS_SOURCES
 PluginChain.cpp
@@ -35,7 +29,7 @@
 native/SpectralMeter.h
 )
 
-IF(HAVE_SLV2)
+IF(HAVE_LILV)
 	SET(TRAVERSO_PLUGINS_SOURCES
 	${TRAVERSO_PLUGINS_SOURCES}
 	LV2/LV2Plugin.cpp
@@ -44,7 +38,7 @@
 	${TRAVERSO_PLUGINS_MOC_CLASSES}
 	LV2/LV2Plugin.h
 	)
-ENDIF(HAVE_SLV2)
+ENDIF(HAVE_LILV)
 
 QT4_WRAP_CPP(TRAVERSO_PLUGINS_MOC_SOURCES ${TRAVERSO_PLUGINS_MOC_CLASSES})
