=== src/commands/plugins/TraversoCommands/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/src/common
${CMAKE_SOURCE_DIR}/src/core
${CMAKE_SOURCE_DIR}/src/sheetcanvas
${CMAKE_SOURCE_DIR}/src/commands
${CMAKE_SOURCE_DIR}/src/plugins
${CMAKE_SOURCE_DIR}/src/plugins/native
${QT_QTXML_INCLUDE_DIR}
)

SET(TRAVERSO_COMMAND_PLUGIN_SOURCES
TraversoCommands.cpp
)

SET(TRAVERSO_TRAVERSO_COMMANDS_MOC_CLASSES
TraversoCommands.h
)
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_STATICPLUGIN)


QT4_WRAP_CPP(TRAVERSO_TRAVERSSO_COMMANDS_MOC_SOURCES ${TRAVERSO_TRAVERSO_COMMANDS_MOC_CLASSES})

SET(TRAVERSO_COMMAND_PLUGIN_LIBRARY "tcp_traversocommands")


ADD_LIBRARY(${TRAVERSO_COMMAND_PLUGIN_LIBRARY} STATIC ${TRAVERSO_COMMAND_PLUGIN_SOURCES} ${TRAVERSO_TRAVERSSO_COMMANDS_MOC_SOURCES})

IF(USE_PCH)
    ADD_DEPENDENCIES(tcp_traversocommands precompiled_headers)
ENDIF(USE_PCH)
