=== debian/changelog ===
traverso (0.49.4-2) unstable; urgency=medium

  * Team upload.

  * debian/control:
    - Update VCS fields.
    - Bump standards to 3.9.8.
  * debian/dirs:
    - Drop useless dirs file.
  * debian/menu, debian/traverso.xpm
    - Drop menu file and xpm icon.
  * debian/patches:
    - Fix FTBFS with GCC 6. (Closes: #812022)
  * debian/rules:
    - Move linker flags to standard dpkg-buildflags variable.
    - Enable all hardening flags.

 -- James Cowgill <jcowgill@debian.org>  Fri, 22 Jul 2016 18:36:57 +0100

traverso (0.49.4-1) unstable; urgency=low

  * Bump Standards.
  * Switch from slv2 to lilv.
  * Update VCS urls.
  * Add keywords entry to desktop file.
  * Set compat/dh 9.
  * Add patch to fix build.
  * Add patch to fix spelling.
  * Pass LDFLAGS.
  * Add myself as uploader.
  * Provide code for Exec key in desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 16 Oct 2014 15:09:44 +0200
