=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Gürkan Sengün <gurkan@phys.ethz.ch>
+ Gürkan Sengün <gurkan@phys.ethz.ch>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  cmake,
- debhelper (>= 7.3.7~),
+ debhelper (>= 9),
  libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
  libfftw3-dev,
  libflac++-dev,
@@ -18,14 +19,14 @@
  libqt4-opengl-dev,
  librdf0-dev,
  libsamplerate0-dev,
- libslv2-dev,
+ liblilv-dev,
  libsndfile1-dev,
  libvorbis-dev,
  libwavpack-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.8
 Homepage: http://traverso-daw.org/
-Vcs-Git: git://git.debian.org/pkg-multimedia/traverso.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/traverso.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/traverso.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/traverso.git
 
 Package: traverso
 Architecture: any
